Snapshot

Operations to create and manage point in time snapshots for your In-Memory DB replica sets.

This tag groups all operations for snapshot.

Retrieve all Snapshot

get
/snapshots

This endpoint enables retrieving all Snapshot using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
Responses
chevron-right
200

Returned all requested Snapshot successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of Snapshot resources.

Example: b9cb6c65-8997-58bb-b7d1-93e5da5a6525
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of Snapshot resources.

Example: /snapshots
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get
/snapshots

Retrieve Snapshot

get
/snapshots/{snapshotId}

Returns the Snapshot by ID.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
snapshotIdstring · uuidRequired

The ID (UUID) of the Snapshot.

Example: a8784665-3d99-5464-af32-30a2967f58e7
Responses
chevron-right
200

Getting Snapshot was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the Snapshot.

Example: a8784665-3d99-5464-af32-30a2967f58e7
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Snapshot.

Example: /snapshots/a8784665-3d99-5464-af32-30a2967f58e7
propertiesobjectRequired

A point in time snapshot of a In-Memory DB replica set.

get
/snapshots/{snapshotId}

Last updated

Was this helpful?